# author Aaron Moser

from enum import Enum

class Simulation:

    class State(Enum):
        INITIALIZED = 1
        RUNNING = 2
        PAUSED = 3
        STOPPED = 4

    class Mode(Enum):
        REALTIME = 1
        DAILY = 2 

    def __init__(self):
        self.state = Simulation.State.INITIALIZED
        self.mode = Simulation.Mode.REALTIME

    def set_state(self, state):
        self.state = state

    def get_state(self):
        return self.state
    
    def set_mode(self, mode):
        self.mode = mode
    
    def get_mode(self):
        return self.mode